[arch-commits] Commit in pidgin/trunk (4 files)

Alexander Fehr alexanderf at archlinux.org
Mon Aug 25 14:25:48 EDT 2008


    Date: Monday, August 25, 2008 @ 14:25:48
  Author: alexanderf
Revision: 10296

upgpkg: pidgin 2.5.0-2

Added:
  pidgin/trunk/ChangeLog
Modified:
  pidgin/trunk/PKGBUILD
  pidgin/trunk/pidgin.install
Deleted:
  pidgin/trunk/certificate-location.patch

----------------------------+
 ChangeLog                  |   18 ++++++++++++++
 PKGBUILD                   |   54 +++++++++++++++----------------------------
 certificate-location.patch |   13 ----------
 pidgin.install             |    9 -------
 4 files changed, 39 insertions(+), 55 deletions(-)

Added: ChangeLog
===================================================================
--- ChangeLog	                        (rev 0)
+++ ChangeLog	2008-08-25 18:25:48 UTC (rev 10296)
@@ -0,0 +1,18 @@
+2008-08-25  Alexander Fehr  <pizzapunk gmail com>
+
+  * pidgin-2.5.0-2:
+  New upstream release.
+  New maintainer.
+  Changed license to GPL.
+  Use NSS instead of GnuTLS for SSL.
+  Added dependency on hicolor-icon-theme.
+  Added make dependency on perlxml.
+  Removed make dependency on intltool.
+  Replaced install message with optdepends.
+  Added optional dependency on tk.
+  Made dependency on ca-certificates optional.
+  Removed provides and conflicts gaim.
+  Removed libtool hack.
+  Corrected configure option for certificates directory.
+  Added --disable-doxygen configure option.
+  Added ChangeLog.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-25 17:13:31 UTC (rev 10295)
+++ PKGBUILD	2008-08-25 18:25:48 UTC (rev 10296)
@@ -1,48 +1,34 @@
 # $Id$
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
 # Contributor: Lucien Immink <l.immink at student.fnt.hvu.nl>
-# Maintainer: Dan McGee <dan at archlinux.org>
 
 pkgname=pidgin
 pkgver=2.5.0
-pkgrel=1
-pkgdesc="A GTK+-based messaging client"
-arch=(i686 x86_64)
-license=('GPL2')
-url="http://pidgin.im"
-depends=('startup-notification' 'gtkspell' 'libxss' 'gstreamer0.10'
-         'dbus-glib>=0.73' 'ca-certificates' 'gnutls>=2.4.1')
-makedepends=('pkgconfig' 'tk' 'avahi' 'intltool' 'python')
+pkgrel=2
+pkgdesc="Multi-protocol instant messaging client"
+arch=('i686' 'x86_64')
+url="http://pidgin.im/"
+license=('GPL')
+depends=('startup-notification' 'gtkspell' 'libxss' 'gstreamer0.10' 'nss' 'hicolor-icon-theme')
+makedepends=('avahi' 'tk' 'ca-certificates' 'perlxml' 'python')
+optdepends=('avahi: Bonjour protocol support'
+            'tk: Tcl/Tk scripting support'
+            'ca-certificates: SSL CA certificates')
 replaces=('gaim')
-conflicts=('gaim')
-provides=('gaim')
 options=('!libtool')
 install=pidgin.install
-source=(http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.bz2)
+source=(http://downloads.sourceforge.net/pidgin/pidgin-$pkgver.tar.bz2)
 md5sums=('71df6633794de30e57827848cfb61996')
 
 build() {
-  cd $srcdir/$pkgname-$pkgver
+  cd "$srcdir/pidgin-$pkgver"
 
-  # gconf won't die with the --disable-schemas-install option
-  sed -i -e 's/gconftool-2/no/g' configure.ac || return 1
-
-  # ugly hack to support building with new libtool
-  # http://developer.pidgin.im/ticket/5346
-  # http://bugs.archlinux.org/task/10012
-  libtoolize --force --copy || return 1
-  aclocal || return 1
-  autoconf || return 1
-  automake --add-missing || return 1
-
-  ./configure --prefix=/usr --sysconfdir=/etc \
-              --with-ssl-certificates=/etc/ssl/certs \
-              --disable-perl --disable-cap \
-              --disable-schemas-install \
-              --enable-gtkspell --enable-gnutls=yes \
-              --enable-nss=no --disable-gevolution \
-              --enable-dbus --disable-mono \
-              --disable-meanwhile --disable-nm \
-              --disable-debug || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc --disable-schemas-install --disable-meanwhile \
+    --disable-nm --disable-perl --disable-gnutls --disable-doxygen \
+    --with-system-ssl-certs=/etc/ssl/certs || return 1
   make || return 1
-  make DESTDIR=$pkgdir install || return 1
+  make DESTDIR="$pkgdir" install || return 1
+
+  # Remove GConf schema file
+  rm -rf "$pkgdir/etc" || return 1
 }

Deleted: certificate-location.patch
===================================================================
--- certificate-location.patch	2008-08-25 17:13:31 UTC (rev 10295)
+++ certificate-location.patch	2008-08-25 18:25:48 UTC (rev 10296)
@@ -1,13 +0,0 @@
---- libpurple/certificate.c.old	2008-06-06 18:35:03.000000000 -0500
-+++ libpurple/certificate.c	2008-06-06 18:58:32.000000000 -0500
-@@ -745,8 +745,8 @@
- 		x509_ca_paths = g_list_append(NULL, g_build_filename(DATADIR,
- 						   "ca-certs", NULL));
- #else
--		x509_ca_paths = g_list_append(NULL, g_build_filename(DATADIR,
--						   "purple", "ca-certs", NULL));
-+		x509_ca_paths = g_list_append(NULL, g_build_filename("/etc",
-+						   "ssl", "certs", NULL));
- #endif
- 	}
- 

Modified: pidgin.install
===================================================================
--- pidgin.install	2008-08-25 17:13:31 UTC (rev 10295)
+++ pidgin.install	2008-08-25 18:25:48 UTC (rev 10296)
@@ -1,7 +1,5 @@
 post_install() {
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-  echo ">> The bonjour plugin is now included in pidgin. If you wish to use"
-  echo ">> it, please install avahi."
 }
 
 post_upgrade() {
@@ -9,10 +7,5 @@
 }
 
 post_remove() {
-  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  post_install
 }
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list